%define upstream_name    Dist-Zilla-Plugin-BumpVersionFromGit
%define upstream_version 0.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provide a version number by bumping the last git release tag
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Version::Next)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(version)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This does the the Dist::Zilla::Role::VersionProvider manpage role. It finds
the last version number from tags and increments it as the new version used
by Dist::Zilla.

The plugin accepts the following options:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Apr 23 2011 Funda Wang <fwang@mandriva.org> 0.8.0-2mdv2011.0
+ Revision: 657410
- rebuild for updated spec-helper

* Sun Mar 06 2011 Sandro Cazzaniga <kharec@mandriva.org> 0.8.0-1
+ Revision: 642276
- disable %%check for fix build

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 0.008

* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.7.0-1mdv2011.0
+ Revision: 554169
- update to 0.007

* Fri Apr 09 2010 Jérôme Quelin <jquelin@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 533386
- update to 0.005

* Sat Mar 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 527933
- import perl-Dist-Zilla-Plugin-BumpVersionFromGit


* Sat Mar 27 2010 cpan2dist 0.003-1mdv
- initial mdv release, generated with cpan2dist
